Security Advisory

ZAA-2022-02

· Please read carefully and check if the version of your Zammad system is affected by this vulnerability. Please send us information regarding vulnerabilities in Zammad!

Security Advisory Details

  • ID: ZAA-2022-02
  • Date: 03/14/2022
  • Title: Information Disclosure
  • Severity: low
  • Product: Zammad 5.0.x
  • Fixed in: Zammad 5.1.0
  • References:
    --> CVE-2022-27331

Vulnerability Descriptions

Information Disclosure

When an admin changes configuration settings, these changes are broadcasted to any active application instances. Due to incomplete access control checking, these updates would be sent to all users, even for settings which should only be visible to authenticated users.

Recommended Resolution

This vulnerability is fixed in the latest versions of Zammad and it is recommended to upgrade to one of these.

Fixed releases can be found at:

Additional information

Online version of this advisory: https://zammad.com/en/advisories/zaa-2022-02

Send all remarks on security issues to security@zammad.com.

Signup
Together we turn your customers into fans.
Start free trial!
Newsletter
All releases and news directly in your inbox.
Subscribe to the newsletter